Search documentation of ExStreamClient

# ExStreamClient.Model.Flag (ExStreamClient v0.1.10)

View Source

Schema representing a Flag

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.Flag{
      created_at: float(),
      custom: %{optional(String.t()) => any()} | nil,
      entity_creator_id: String.t() | nil,
      entity_id: String.t(),
      entity_type: String.t(),
      is_streamed_content: boolean() | nil,
      labels: [String.t()] | nil,
      moderation_payload: ExStreamClient.Model.ModerationPayload.t() | nil,
      moderation_payload_hash: String.t() | nil,
      reason: String.t() | nil,
      result: [%{optional(String.t()) => any()}],
      review_queue_item: ExStreamClient.Model.ReviewQueueItem.t() | nil,
      review_queue_item_id: String.t() | nil,
      type: String.t() | nil,
      updated_at: float(),
      user: ExStreamClient.Model.User.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()